Package: groovy.inspect.swingui

## [Groovy] Class TreeNodeWithProperties

- groovy.inspect.swingui.TreeNodeWithProperties

- This class is a TreeNode and you can store additional properties on it.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DefaultMutableTreeNode` | `EMPTY_ENUMERATION`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `List<List<String>>` | `properties`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TreeNodeWithProperties (def userObject, List<List<String>> properties)` Creates a tree node and attaches properties to it.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getPropertyValue(String name)`
    `` | `boolean` | `isClassNode()`
    `` | `boolean` | `isMethodNode()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultMutableTreeNode` | `add, remove, remove, toString, clone, getParent, getRoot, insert, getPath, setParent, getIndex, children, getLevel, getDepth, isRoot, removeFromParent, setUserObject, getAllowsChildren, isLeaf, breadthFirstEnumeration, depthFirstEnumeration, getChildAfter, getChildBefore, getFirstChild, getFirstLeaf, getLastChild, getLastLeaf, getLeafCount, getNextLeaf, getNextNode, getNextSibling, getPreviousLeaf, getPreviousNode, getPreviousSibling, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, setAllowsChildren, getChildAt, getChildCount, removeAllChildren, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### List<List<String>> properties

  - ### Constructor Detail

    - #### TreeNodeWithProperties(def userObject, List<List<String>> properties)

      Creates a tree node and attaches properties to it.

      Parameters:
        `userObject` - same as a DefaultMutableTreeNode requires
        `properties` - a list of String lists

  - ### Method Detail

    - #### String getPropertyValue(String name)

    - #### boolean isClassNode()

    - #### boolean isMethodNode()